package com.wordesign.chat.client;

import java.io.*;
import java.net.*;


/**
 * Title:        
 * Description:  
 * Copyright:    Copyright (c) 2001
 * Company:      Zero G
 * @author Alexandre Aybes
 * @version 1.0
 */

public class ChatClient extends Thread
{
	private Reader  reader;
	private Socket  socket;
	private boolean done;
	
    private ChatClient(){}
	
	public ChatClient(InputStream input, String server, int port)
		throws IOException, UnknownHostException
	{
		reader = new InputStreamReader(input);
		socket = new Socket(server, port);
	}
	
	public void run()
	{
		char[]  buffer = new char[1024 * 1];
		int     sizeRead = 0;
		try
		{
			Writer  writer = new OutputStreamWriter(socket.getOutputStream());
			while (!done)
			{
				sizeRead = reader.read(buffer);
				if (sizeRead > 0)
				{
					writer.write(buffer, 0, sizeRead);
					writer.flush();
				}
				try {
					sleep(500);
				} catch (InterruptedException ie) {}
			}
		}
		catch (IOException ioe)
		{
			System.err.println("ERROR: "+ioe);
		}
	}
	
	public static void main(String[] args)
	{
		try
		{
		    new ChatClient(System.in, "127.0.0.1", 12345).start();
		}
		catch (IOException ioe)
		{
			System.err.println("ChatClient fatal error: "+ioe);
		}
	}
}