package com.wordesign.chat.server;

import java.net.*;
import java.io.*;

/**
 * Title:        
 * Description:  
 * Copyright:    Copyright (c) 2001
 * Company:      Zero G
 * @author Alexandre Aybes
 * @version 1.0
 */
public class ChatServer extends Thread
{
	public static final int DEFAULT_PORT = 12345;
	
	
	private ServerSocket    serverSocket = null;
	private boolean         done = false;
	
	/** This constructor is not to be used */
    private ChatServer(){}
	
	public ChatServer(int port)
		throws IOException
	{
		serverSocket = new ServerSocket(port);
	}
	
	public void setDone(boolean done)
	{
		this.done = done;
	}
	
	public void run()
	{
		while (!done)
		{
			try
			{
				Socket socket = serverSocket.accept();
				new ClientChatConnectionHandler(socket, this).start();
			}
			catch (IOException ioe)
			{
			}
		}
	}
	
	public void handleClientData(String data, ClientChatConnectionHandler client)
	{
		System.out.print(client.getIdentifier()+": "+data);
	}
	
	public void logError(Object o)
	{
		System.err.println(o.toString());
	}
	
	public void logOutput(Object o)
	{
		System.out.println(o.toString());
	}
	
	public static void main(String[] args)
	{
		try
		{
		    new ChatServer(12345).start();
		}
		catch (IOException ioe)
		{
			System.err.println("ChatServer fatal error: "+ioe);
		}
	}
}