package com.wordesign.chat.server;

import java.net.*;
import java.io.*;

/**
 * Title:        
 * Description:  
 * Copyright:    Copyright (c) 2001
 * Company:      Zero G
 * @author Alexandre Aybes
 * @version 1.0
 */
public class ClientChatConnectionHandler extends Thread
{
	private Socket      socket;
	private ChatServer  chatServer;
	private boolean     done = false;
	
	
    public ClientChatConnectionHandler(Socket socket, ChatServer chatServer)
    {
		this.socket     = socket;
		this.chatServer = chatServer;
    }
	
	public String getIdentifier()
	{
		return  socket.getInetAddress().getHostName()+" ("+
			    socket.getInetAddress().getHostAddress()+")";
	}
	
	public void run()
	{
		char[]  buffer = new char[1024 * 1];
		int     sizeRead = 0;
		try
		{
			Reader  reader = new InputStreamReader(socket.getInputStream());
			while (!done)
			{
				sizeRead = reader.read(buffer);
				if (sizeRead > 0)
				{
					chatServer.handleClientData(new String(buffer, 0, sizeRead), this);
				}
			}
		}
		catch (IOException ioe)
		{
			System.err.println("ERROR: "+ioe);
		}
	}
}