package com.wordesign.chat.ui.console;

import com.wordesign.chat.server.ChatServer;
import com.wordesign.chat.client.ChatClient;
import java.io.IOException;

/**
 * Title:        
 * Description:  
 * Copyright:    Copyright (c) 2001
 * Company:      Zero G
 * @author Alexandre Aybes
 * @version 1.0
 */
public class ConsoleChatClient
{
    public static void main(String[] args)
    {
		int port = ChatServer.DEFAULT_PORT;
		System.out.println("Welcome to the mini chat client.");
		if (args.length > 0)
		{
			if (args.length < 2)
				System.out.println("You have not specified any arguments, using "+
					"default port to connect to the server: "+ChatServer.DEFAULT_PORT);
			else
			{
				try
				{
					port = Integer.parseInt(args[1]);
				}
				catch (Exception e)
				{
					System.out.println("The port specified (first argument) is wrong "+
						"we will use the default port: "+ChatServer.DEFAULT_PORT);
				}
			}
			try
			{
			    new ChatClient(System.in, args[0], port).start();
			}
			catch (IOException ioe)
			{
			    System.err.println("A fatal error occured when initializing the client: "+ioe);
			}
		}
		else
		{
			System.out.println("Please specify the following arguments: ");
			System.out.println("  - server address (IP or name)");
			System.out.println("  - server port (optional, default: "+
				ChatServer.DEFAULT_PORT+")");
		}
    }
}